
Kune - Defect #357
NPE in EntityBackgroundDownloadManager
09/26/2012 03:49 PM - Vicente J. Ruiz Jurado

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Server side Estimated time: 0.00 hour
Target version:
Resolution: Tags:
Description

FO: Search response to 'in:inbox': 20 results, user: renita@kune.cc
2012-09-26 15:52:01 RackServletFilter [DEBUG] REQUEST: /ws/servlets/EntityBackgroundDownloadManager
2012-09-26 15:52:01 ServletServiceFilter [DEBUG] SERVICE: /ws/servlets/EntityBackgroundDownloadManager -
EntityBackgroundDownloadManager
2012-09-26 15:52:01 ServletHandler [WARN] /ws/servlets/EntityBackgroundDownloadManager
java.lang.NullPointerException
        at
cc.kune.core.server.manager.file.EntityBackgroundDownloadManager.buildResponse(EntityBackgroundDownloadManager.java:92)
        at cc.kune.core.server.manager.file.EntityBackgroundDownloadManager.doGet(EntityBackgroundDownloadManager.java:122)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:625)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
        at cc.kune.core.server.rack.filters.servlet.ServletServiceFilter.doFilter(ServletServiceFilter.java:54)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.execute(RackServletFilter.java:82)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.doFilter(RackServletFilter.java:75)
        at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:66)
        at cc.kune.core.server.persist.CustomPersistFilter.doFilter(CustomPersistFilter.java:100)
        at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)
        at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)
        at cc.kune.core.server.persist.CustomPersistFilter.doFilter(CustomPersistFilter.java:100)
        at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)
        at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)
        at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:118)
        at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:113)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.execute(RackServletFilter.java:82)
        at cc.kune.core.server.rack.RackServletFilter$DockChain.doFilter(RackServletFilter.java:75)
        at cc.kune.core.server.rack.RackServletFilter.doFilter(RackServletFilter.java:117)
        at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1338)
        at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:484)
        at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:119)
        at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:524)
        at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:231)
        at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1065)
        at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:413)
        at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:192)
        at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:999)
        at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:117)
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:111)
        at org.eclipse.jetty.server.Server.handle(Server.java:350)
        at org.eclipse.jetty.server.AbstractHttpConnection.handleRequest(AbstractHttpConnection.java:454)
        at org.eclipse.jetty.server.AbstractHttpConnection.headerComplete(AbstractHttpConnection.java:890)
        at org.eclipse.jetty.server.AbstractHttpConnection$RequestHandler.headerComplete(AbstractHttpConnection.java:944)
        at org.eclipse.jetty.http.HttpParser.parseNext(HttpParser.java:630)
        at org.eclipse.jetty.http.HttpParser.parseAvailable(HttpParser.java:230)
        at org.eclipse.jetty.server.AsyncHttpConnection.handle(AsyncHttpConnection.java:77)
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint.handle(SelectChannelEndPoint.java:620)
        at org.eclipse.jetty.io.nio.SelectChannelEndPoint$1.run(SelectChannelEndPoint.java:46)
        at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:603)
        at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:538)
        at java.lang.Thread.run(Thread.java:636)

Associated revisions
Revision d980df9f - 09/27/2012 01:47 PM - Vicente J. Ruiz Jurado

NPE in EntityBackgroundDownloadManager (fix #357)

History
#1 - 09/27/2012 02:54 PM - Vicente J. Ruiz Jurado
- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset commit:d980df9f92571ddf8348e81fad311e395da6ce2c.
